complexType "PartyTradeInformation"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 28 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 26 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference?, accountReference?, relatedParty*, reportingRole?, unit*, relatedBusinessUnit*, relatedPerson*, isAccountingHedge?, category*, trader*, executionDateTime?, timestamps?, intentToAllocate?, allocationStatus?, intentToClear?, clearingStatus?, collateralizationType?, collateralPortfolio?, reportingRegime*, (endUserException? | endUserExceptionDeclaration?)?, nonStandardTerms?, offMarketPrice?, largeSizeTrade?, executionType?, executionVenueType?, verificationMethod?, confirmationMethod?
</...>

Content Model Elements (28):

  accountReference (defined in PartyAndAccountReferences.model group),
  allocationStatus,
  category (defined in PartyTradeInformation complexType),
  clearingStatus,
  collateralizationType,
  collateralPortfolio,
  confirmationMethod,
  endUserException,
  endUserExceptionDeclaration,
  executionDateTime (defined in PartyTradeInformation complexType),
  executionType,
  executionVenueType,
  intentToAllocate,
  intentToClear,
  isAccountingHedge,
  largeSizeTrade,
  nonStandardTerms,
  offMarketPrice,
  partyReference (defined in PartyAndAccountReferences.model group),
  relatedBusinessUnit,
  relatedParty (defined in PartyTradeInformation complexType),
  relatedPerson,
  reportingRegime,
  reportingRole (defined in PartyTradeInformation complexType),
  timestamps,
  trader,
  unit,
  verificationMethod

All Direct / Indirect Based Elements (4):

  partyInformation (defined in CreditLimitInformationExtended complexType),
  partyInformation (in creditLimitInformation in creditLimitReport),
  partyTradeInformation (in tradeHeader),
  partyTradeInformation (in tradeReferenceInformation)

Known Usage Locations

- As direct type of elements (4):
  partyInformation (defined in CreditLimitInformationExtended complexType),
  partyInformation (in creditLimitInformation in creditLimitReport),
  partyTradeInformation (in tradeHeader),
  partyTradeInformation (in tradeReferenceInformation)

Annotation
A type defining party-specific additional information that may be recorded against a trade.
XML Source (w/o annotations (28); see within schema source)

<xsd:complexType name="PartyTradeInformation"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="unit" type="Unit"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedBusinessUnit" type="RelatedBusinessUnit"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedPerson" type="RelatedPerson"/> <xsd:element minOccurs="0" name="isAccountingHedge" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="trader" type="Trader"/> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/> <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"/> <xsd:element minOccurs="0" name="intentToAllocate" type="xsd:boolean"/> <xsd:element minOccurs="0" name="allocationStatus" type="AllocationReportingStatus"/> <xsd:element minOccurs="0" name="intentToClear" type="xsd:boolean"/> <xsd:element minOccurs="0" name="clearingStatus" type="ClearingStatusValue"/> <xsd:element minOccurs="0" name="collateralizationType" type="CollateralizationType"/> <xsd:element minOccurs="0" name="collateralPortfolio" type="PortfolioName"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingRegime" type="ReportingRegime"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"/> <xsd:element minOccurs="0" name="endUserExceptionDeclaration" type="EndUserExceptionDeclaration"/> </xsd:choice> <xsd:element minOccurs="0" name="nonStandardTerms" type="xsd:boolean"/> <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"/> <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"/> <xsd:element minOccurs="0" name="executionType" type="ExecutionType"/> <xsd:element minOccurs="0" name="executionVenueType" type="ExecutionVenueType"/> <xsd:element minOccurs="0" name="verificationMethod" type="VerificationMethod"/> <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 26/28)
allocationStatus

  Type: | AllocationReportingStatus, simple content

  Specifies whether the trade is anticipated to be allocated, has been allocated, or will not be allocated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocationStatus" type="AllocationReportingStatus"/>

category

  Type: | TradeCategory, simple content

  Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/>

clearingStatus

  Type: | ClearingStatusValue, simple content

  Describes the status with respect to clearing (e.g. Submitted, Pending, Cleared, RejectedForClearing, etc.)
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="clearingStatus" type="ClearingStatusValue"/>

collateralizationType

  Type: | CollateralizationType, simple content

  Specifies whether this party posts collateral. For Recordkeeping, the collateralization type refers to collateral that is posted by this firm, and One-Way is not meaningful. In other words, if the collateralization type is Full, this trade is fully collateralized by this party. For Transparency view, the options include Full, Partial, Uncollateralized, and One-Way.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateralizationType" type="CollateralizationType"/>

collateralPortfolio

  Type: | PortfolioName, simple content

  Provides a name, code, or other identifier for the collateral portfolio to which this belongs.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateralPortfolio" type="PortfolioName"/>

confirmationMethod

  Type: | ConfirmationMethod, simple content

  Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation. This affects the process flow for confirmation messages. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"/>

endUserException

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked. If a relatedParty block with a role of ClearingExceptionParty is present, that related party indicates which party is claiming the end user exception.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"/>

endUserExceptionDeclaration

  Type: | EndUserExceptionDeclaration, complex content

  Claims an end user exception and provides supporting evidence. If a relatedParty block with a role of ClearingExceptionParty is present, that related party indicates which party is claiming the end user exception.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="endUserExceptionDeclaration" type="EndUserExceptionDeclaration"/>

executionDateTime

  Type: | ExecutionDateTime, simple content

  Trade execution date time, for example as provided by a central execution facility. Normally this refers to the original execution time of the trade, not the execution time of any post-trade events that may have affeted it. However, in the case of a post trade event that reports the new version of the trade (for example, the novation trade in an novation event, or the amended trade in an amendment event), the execution date time may contain the time that the newly created or modified trade was created or modified.
  Simple Content

  xsd:dateTime

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/>

executionType

  Type: | ExecutionType, simple content

  Used to describe how the trade was executed, e.g. via voice or electronically.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionType" type="ExecutionType"/>

executionVenueType

  Type: | ExecutionVenueType, simple content

  Used to describe the type of venue where trade was executed, e.g via an execution facility or privately.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionVenueType" type="ExecutionVenueType"/>

intentToAllocate

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is anticipated to be allocated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="intentToAllocate" type="xsd:boolean"/>

intentToClear

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is anticipated to be cleared via a derivative clearing organization
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="intentToClear" type="xsd:boolean"/>

isAccountingHedge

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade used to hedge a risk for accounting purposes for the specified party. (TODO: do we need to distinguish between asset and liability hedges?)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="isAccountingHedge" type="xsd:boolean"/>

largeSizeTrade

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting. Normally this will only be applicable for off-facility trades.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"/>

nonStandardTerms

  Type: | xsd:boolean, predefined, simple content

  Indicates that the trade has price-affecting characteristics in addition to the standard real-time reportable terms. The flag indicates that the price for this trade is not to be construed as being indicative of the market for standardised trades with otherwise identical reportable terms.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonStandardTerms" type="xsd:boolean"/>

offMarketPrice

  Type: | xsd:boolean, predefined, simple content

  Indicates that the price does not reflect the current market. For example, in a credit trade where the two counterparties are not of equal credit standing, there is no initial margin and one party pays collateral to the other in the form of an add-on to the price (say a price that would otherwise be 100 at the market is struck at 105 to include the collateral, resulting in a very off-market looking price.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"/>

relatedBusinessUnit

  Type: | RelatedBusinessUnit, complex content

  Provides information about a unit/division/desk etc. that executed or supports this trade
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedBusinessUnit" type="RelatedBusinessUnit"/>

relatedParty

  Type: | RelatedParty, complex content

  This may be used to identify one or more parties that perform a role within the transaction. If this is within a partyTradeInformation block, the related party performs the role with respect to the party identifie by the "partyReference" in the partyTradeInformation block.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/>

relatedPerson

  Type: | RelatedPerson, complex content

  Provides information about a person that executed or supports this trade
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedPerson" type="RelatedPerson"/>

reportingRegime

  Type: | ReportingRegime, complex content

  Allows the organization to specify which if any relevant regulators or other supervisory bodies this is relevant for, and what reporting rules apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingRegime" type="ReportingRegime"/>

reportingRole

  Type: | ReportingRole, simple content

  Identifies the role of this party in reporting this trade (e.g. originator, counterparty).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/>

timestamps

  Type: | TradeProcessingTimestamps, complex content

  Allows timing information about a trade to be recorded.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"/>

trader

  Type: | Trader, simple content

  Identifies the person or persons who assumed the role of trader for this trade.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="trader" type="Trader"/>

unit

  Type: | Unit, simple content

  Identifies the unit/division/desk etc. that executed or supports this trade
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="unit" type="Unit"/>

verificationMethod

  Type: | VerificationMethod, simple content

  Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation. This affect the timing of real-time reporting requirements. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="verificationMethod" type="VerificationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.